---

#! jobs/perf-test.yaml
suite: perf-test
testcase: perf-test
category: functional
type: lkp
perf-test:
  group: group-01
job_origin: perf-test.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! include/category/ALL
sanity-check:

#! include/perf-test
initrds:
- linux_perf

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-cfl-e1
tbox_group: lkp-cfl-e1
branch: linux-next/master
commit: 7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121
job_file: "/lkp/jobs/scheduled/lkp-cfl-e1/perf-test-group-01-lkp-debian-12-x86_64-20240206.cgz-7a9418cf7f05-20240511-10921-1ogv305-0.yaml"
id: 62bc2375445dbbbba5de858e65a39da197bc35b5
queuer_version: "/zday/lkp"

#! /db/releases/20240509174531/lkp-src/hosts/lkp-cfl-e1
model: Coffee Lake
nr_node: 1
nr_cpu: 16
memory: 32G
nr_hdd_partitions: 1
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part2"
swap_partitions: LABEL=SWAP
rootfs_partition: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part1"
brand: Intel(R) Xeon(R) E-2278G CPU @ 3.40GHz

#! /db/releases/20240509174531/lkp-src/include/category/functional

#! /db/releases/20240509174531/lkp-src/include/category/ALL

#! /db/releases/20240509174531/lkp-src/include/perf-test

#! /db/releases/20240509174531/lkp-src/include/testbox/lkp-cfl-e1
ucode: '0xfa'
need_kconfig_hw:
- PTP_1588_CLOCK: y
- IGB: y
- SATA_AHCI
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2024-05-11 04:05:22.404860170 +08:00
compiler: gcc-13
_rt: "/result/perf-test/group-01-lkp/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240510-171700"
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-test/group-01-lkp/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121/vmlinuz-6.9.0-rc5-00216-g7a9418cf7f05
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-cfl-e1/perf-test-group-01-lkp-debian-12-x86_64-20240206.cgz-7a9418cf7f05-20240511-10921-1ogv305-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf-test_20240301.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-test-x86_64-git-1_20240223.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240509174531/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cfl-e1/perf-test-group-01-lkp-debian-12-x86_64-20240206.cgz-7a9418cf7f05-20240511-10921-1ogv305-0.cgz"
last_kernel: 6.9.0-rc5-00209-g45c072f2537a
acpi_rsdp: '0x000f0510'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121/vmlinuz-6.9.0-rc5-00216-g7a9418cf7f05"
result_root: "/result/perf-test/group-01-lkp/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/7a9418cf7f05a74cbc9d4c750ee1bfddaa11f121/0"

#! /cephfs/db/releases/20240510225110/lkp-src/include/site/inn
dequeue_time: 2024-05-11 04:47:46.362365999 +08:00
job_state: booting
